:root {
    --primary-color: #b22222;
    --icon-color: #65757c;
    --icon-dir-color: #edcb68;
    --icon-link-color: #105f7f;

    --bg-primary-color: #f5f5f5;
    --bg-secondary-color: #eee;
    --menu-background: #fff;
    --menu-hover-color: #f0f0f0;
    --border-color: #ddd;
    --primary-text: #333;
    --secondary-text: #999;
    --shadow-color: rgba(0, 0, 0, 0.1);
}

:root[data-theme="dark"] {
    --bg-primary-color: #181818;
    --bg-secondary-color: #1F2120;
    --menu-background: #1c1c1c;
    --menu-hover-color: #1a1d1e;
    --border-color: #35383a;
    --primary-text: #bebebe;
    --secondary-text: #a49b8e;
    --shadow-color: rgba(255, 255, 255, 0.1);
}

:root[data-theme="win98"] {
    --bg-primary-color: teal;
    --bg-secondary-color: #c0c0c0;
    --menu-background: #c0c0c0;
    --menu-hover-color: #1a1d1e;
    --border-color: #dfdfdf;
    --primary-text: #000;
    --secondary-text: #000;
}

* {
    box-sizing: border-box;
    color: var(--primary-text);
    font-family:
        Manrope,
        system-ui,
        -apple-system,
        BlinkMacSystemFont,
        "Segoe UI",
        Roboto,
        Oxygen,
        Ubuntu,
        Cantarell,
        "Open Sans",
        "Helvetica Neue",
        sans-serif;
}

:root[data-theme="win98"] * {
    font-family: Arial;
}

html,
body {
    margin: 0;
    height: 100%;
}

body {
    background-color: var(--bg-primary-color);
}

iframe {
    height:100%;
    border: 1px solid var(--border-color);
}

a {
    text-decoration: none !important;
    color: var(--primary-text);
}

code {
    color: #d63384;
    font-size: .875rem;
}

button, .btn {
    padding: 0.25rem 0.5rem;
    border: 1px solid var(--border-color);
    border-radius: 0.25rem;
    font-size: .875rem;
    background: var(--bg-secondary-color);
    cursor: pointer;
}

button:hover, .btn:hover {
    background-color: var(--bg-secondary-color);
    border-color: var(--primary-color);
}

:root[data-theme="win98"] button, :root[data-theme="win98"] .btn {
    border: none;
    border-radius: 0;
    box-shadow: inset -1px -1px #0a0a0a, inset 1px 1px #fff, inset -2px -2px grey, inset 2px 2px #dfdfdf;
}

:root[data-theme="win98"] button:active, :root[data-theme="win98"] .btn:active {
    border: none;
    border-radius: 0;
    box-shadow: inset -1px -1px #ffffff, inset 1px 1px #0a0a0a, inset -2px -2px #dfdfdf, inset 2px 2px #808080;
}

:root[data-theme="win98"] *:focus::not(input) {
    outline: 1px dotted #000000;
    outline-offset: -4px;
}

form {
    display: inline-flex;
    flex-wrap: wrap;
    gap: .5rem;
}

input {
    appearance: none;
    padding: 0.25rem 0.5rem;
    border: 1px solid var(--border-color);
    border-radius: 0.25rem;
    font-size: .875rem;
    background: var(--bg-secondary-color);
}

input:focus {
    outline: none;
}

:root[data-theme="win98"] input {
    border-radius: 0;
    border: 0;
    background-color: #fff;
    box-shadow: inset -1px -1px #fff, inset 1px 1px grey, inset -2px -2px #dfdfdf, inset 2px 2px #0a0a0a;
    padding: 3px 4px;
}

li {
    margin: .25rem 0;
}

.text-secondary {
    color: var(--secondary-text);
}

.text-small {
    font-size: .875rem;
}

.wrapper {
    display: flex;
    height: 100vh;
    flex-direction: column;
}

.content-wrapper {
    display: flex;
    flex: 1;
    overflow: hidden;
}

.header {
    background: var(--menu-background);
    padding: 1rem 1rem;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: space-between;
}

h1, h2, h3, h4, h5, h6 {
    margin: 1rem 0;
    line-height: 1;
    font-weight: 600;
}

hr {
    margin: .6rem 0;
    border: 1px solid var(--border-color);
}

.sidebar .logo {
    display: flex;
    justify-content: center;
}

.sidebar img {
    max-width: 100%;
    max-height: 3rem;
}

.sidebar {
    display: flex;
    flex-direction: column;
    width: 300px;
    background: var(--menu-background);
    border-right: 1px solid var(--border-color);
    overflow-y: auto;
    padding: 1.5rem;
}

:root[data-theme="win98"] .sidebar {
    border: 0;
    box-shadow: inset -1px -1px #0a0a0a, inset 1px 1px #dfdfdf, inset -2px -2px grey, inset 2px 2px #fff;
}

.sidebar-list {
    list-style: none;
    margin: 0;
    padding-left: .5rem;
}

.sidebar-tree {
    margin-top: 1rem;
    flex: 1;
    overflow-y: auto;
}

:root[data-theme="win98"] .sidebar-tree {
    box-shadow: inset -1px -1px #fff, inset 1px 1px gray, inset -2px -2px #dfdfdf, inset 2px 2px #0a0a0a;
    background: #fff;
}

.sidebar-footer {
    margin-top: auto;
    font-size: .8rem;
    display: flex;
    justify-content: space-between;
}

:root[data-theme="win98"] .sidebar-footer {
    margin-top: 1rem;
}

.main-content {
    flex: 1;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.toolbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--menu-background);
    padding: 1rem 2rem;
    border-bottom: 1px solid var(--border-color);
}

.file-list {
    padding: 0;
    background: var(--bg-primary-color);
    overflow: hidden;
    display:flex;
    flex-direction: column;
}

:root[data-theme="win98"] .file-list {
    background: silver;
    box-shadow: inset -1px -1px #0a0a0a, inset 1px 1px #dfdfdf, inset -2px -2px grey, inset 2px 2px #fff;
    margin: 1rem;
    padding: 3px;
}

.file-list .file-list-content {
    padding: 2rem;
    overflow-y: auto;
}

:root[data-theme="win98"] .file-list .file-list-content {
    padding: 8px;
}

.file-list .title-bar {
    display: none;
}

:root[data-theme="win98"] .file-list .title-bar {
    display: block;
    align-items: center;
    background: linear-gradient(90deg,navy,#1084d0);
    display: flex;
    justify-content: space-between;
    padding: 3px 2px 3px 3px;
    color: #fff;
    font-size: 11px;
}

.title-bar-controls {
    display: flex;
    gap: 2px;
}

.title-bar-controls button {
    display: block;
    min-height: 14px;
    min-width: 16px;
    padding: 0;
}

:root[data-theme="win98"] .title-bar-controls button[aria-label="Minimize"], :root[data-theme="win98"] .title-bar-controls button[aria-label].minimize {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg width='6' height='2' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill='%23000' d='M0 0h6v2H0z'/%3E%3C/svg%3E");
    background-position: bottom 3px left 4px;
    background-repeat: no-repeat;
}

:root[data-theme="win98"] .title-bar-controls button[aria-label="Maximize"], :root[data-theme="win98"] .title-bar-controls button[aria-label].maximize {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg width='9' height='9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M9 0H0v9h9V0zM8 2H1v6h7V2z' fill='%23000'/%3E%3C/svg%3E");
    background-position: top 2px left 3px;
    background-repeat: no-repeat;
}

:root[data-theme="win98"] .title-bar-controls button[aria-label="Close"], :root[data-theme="win98"] .title-bar-controls button[aria-label].close {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg width='8' height='7' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M0 0h2v1h1v1h2V1h1V0h2v1H7v1H6v1H5v1h1v1h1v1h1v1H6V6H5V5H3v1H2v1H0V6h1V5h1V4h1V3H2V2H1V1H0V0z' fill='%23000'/%3E%3C/svg%3E");
    background-position: top 3px left 4px;
    background-repeat: no-repeat;
}

.tree-item {
    margin: .5rem 0;
}

.tree-link {
    display: flex;
    align-items: center;
    padding: 0;
    color: var(--primary-text);
    text-decoration: none;
    border-radius: 4px;
    transition: all 0.2s;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: .9rem;
}

.tree-link:hover {
    color: var(--primary-color);
}

.tree-link-active {
    font-weight: 700;
}

.tree-link i {
    margin-right: 0.6rem;
    min-width: 1.2rem;
    color: inherit;
}

.file-card {
    color: var(--primary-text);
    background: var(--menu-background);
    border: 1px solid var(--border-color);
    border-radius: 6px;
    padding: 0.5rem 1rem;
    margin-bottom: 0.5rem;
    transition: all 0.2s;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

:root[data-theme="win98"] .file-card {
    border: none;
    border-radius: 0;
    box-shadow: inset -1px -1px #0a0a0a, inset 1px 1px #fff, inset -2px -2px #808080, inset 2px 2px #dfdfdf;
}

:root[data-theme="win98"] .file-card:active {
    border: none;
    border-radius: 0;
    box-shadow: inset -1px -1px #fff, inset 1px 1px #0a0a0a, inset -2px -2px #dfdfdf, inset 2px 2px #808080;
}

.file-card:hover {
    box-shadow: 0 4px 12px var(--shadow-color);
    border-color: var(--primary-color);
}

.file-card:active {
    box-shadow: 0 4px 12px var(--shadow-color) inset;
}

.file-content-card {
    color: var(--primary-text);
    background: var(--bg-secondary-color);
    border: 1px solid var(--border-color);
    border-radius: 6px;
    padding: .5rem 1rem;
    transition: all .2s;
}

.content-img {
    max-width: 100%;
    height: auto;
    width: auto;
    object-fit: scale-down;
}

:root[data-theme="win98"] .file-content-card {
    border-radius: 0;
    border: 0;
    background: white;
    box-shadow: inset -1px -1px #fff, inset 1px 1px grey, inset -2px -2px #dfdfdf, inset 2px 2px #0a0a0a;
}

.file-content-card a {
    color: var(--primary-color);
    text-decoration: underline !important;
}

.file-content-card img {
    max-width: 100%;
    margin: .25rem 0;
}

th, tr {
    border-bottom: 1px solid var(--border-color);
}

.file-info {
    display: flex;
    align-items: center;
    flex: 1;
    min-width: 0;
}

.file-icon {
    font-size: 1.5rem;
    color: var(--icon-color);
    margin-right: 1rem;
    min-width: 1.5rem;
}

.file-icon > .ph-link {
    color: var(--icon-link-color);
}

.file-icon > .ph-folder-simple {
    color: var(--icon-dir-color);
}

:root[data-theme="win98"] .file-icon > .ph-folder-simple {
  color: var(--primary-text);
}

.file-details {
    flex: 1;
    min-width: 0;
}

.file-name {
    font-weight: 500;
    color: var(--primary-text);
    margin: 0;
    word-break: break-all;
}

.file-meta {
    font-size: 0.8rem;
    color: var(--secondary-text);
    margin: 0;
}

.file-additional-icon {
    color: var(--icon-color);
    display: flex;
    gap: 0.5rem;
}

.empty-state {
    text-align: center;
    padding: 3rem 0;
    color: var(--secondary-text);
}

.empty-state i {
    font-size: 3rem;
    margin-bottom: 1rem;
    opacity: 0.3;
}

.breadcrumb {
    flex-grow: 1;
    display:flex;
    flex-wrap: wrap;
    list-style: none;
    margin: 0;
    padding: 0;
}

.breadcrumb-item + .breadcrumb-item {
    padding-left: 0.5rem;
}

.breadcrumb-item + .breadcrumb-item::before {
    float: left;
    padding-right: 0.5rem;
    content: '/';
}

.breadcrumb-item {
    line-height: 1;
    color: var(--primary-color);
    text-decoration: underline !important;
}

.breadcrumb-item i {
    color: var(--primary-color);
}

:root[data-theme="win98"] .breadcrumb-item + .breadcrumb-item::before {
    content: '';
    padding: 0;
}

:root[data-theme="win98"] .breadcrumb-item {
    text-decoration: none !important;
    color: var(--primary-text);
}

:root[data-theme="win98"] .breadcrumb-item i {
    color: var(--primary-text);
}

:root[data-theme="win98"] .breadcrumb-item {
    border: none;
    border-radius: 0;
    box-shadow: inset -1px -1px #0a0a0a, inset 1px 1px #fff, inset -2px -2px gray, inset 2px 2px #dfdfdf;
    padding: .25rem .5rem;
}

:root[data-theme="win98"] .breadcrumb-item:active {
    box-shadow: inset -1px -1px #ffffff, inset 1px 1px #0a0a0a, inset -2px -2px #dfdfdf, inset 2px 2px #808080;
}

@media (max-width: 768px) {
    .content-wrapper {
        flex-direction: column;
    }

    .sidebar {
        display: none;
    }
}
